package cn.com.qmth.examcloud.core.oe.admin.dao.enums;

/**
 * 违纪类型
 */
public enum DisciplineType {

    CHEAT(1, "作弊"),

    NOT_ONESELF(2, "他人替考"),

    NOT_ONESELF_OF_PHOTO(3, "相片替考"),

    ACTION_FAILURE(4, "指定动作失败"),

    BATCH_NOTPASS(5, "批量审核不通过"),

    BATCH_PASS(6, "批量审核通过"),

    POWER_FAILURE(7, "断电"),

    WITHOUT_ACTION(8, "未进行人脸指定动作检测"),

    MACHINE_STOPPAGE(9, "机器故障"),

    OTHER(10, "其他"),

    ILLEGAL_DATA(11, "非法数据"),

    ILLEGAL_CLIENT(12, "非法考生端应用"),

    EXCEED_MAX_SWITCH_SCREEN_COUNT(13, "超过切屏次数限制"),

    MISS_FACE(14, "开考照片缺失"),

    SKIP_FACE(15, "人工跳过人脸验证"),

    FACE_LIVE_UNPASS(16, "过程活体不通过");

    private Integer sortNo;

    private String description;

    DisciplineType(Integer sortNo, String description) {
        this.sortNo = sortNo;
        this.description = description;
    }

    public Integer getSortNo() {
        return sortNo;
    }

    public void setSortNo(Integer sortNo) {
        this.sortNo = sortNo;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

}
