package cn.com.qmth.examcloud.core.oe.admin.service.bean.examscore;

import io.swagger.annotations.ApiModelProperty;

public class ReFixScoreReq {

    private Long examId;

    private Long courseId;

    @ApiModelProperty(value = " 课程代码", hidden = true)
    private String courseCode;

    private Long examStudentId;

    /**
     * 是否更新客观题答案
     */
    private Boolean updateObjectiveAnswer;

    /**
     * 是否更新客观题分值
     */
    private Boolean updateObjectiveScore;

    /**
     * 是否更新主观题分值
     */
    private Boolean updateSubjectiveScore;

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public Long getExamStudentId() {
        return examStudentId;
    }

    public void setExamStudentId(Long examStudentId) {
        this.examStudentId = examStudentId;
    }

    public Boolean getUpdateObjectiveAnswer() {
        return updateObjectiveAnswer;
    }

    public void setUpdateObjectiveAnswer(Boolean updateObjectiveAnswer) {
        this.updateObjectiveAnswer = updateObjectiveAnswer;
    }

    public Boolean getUpdateObjectiveScore() {
        return updateObjectiveScore;
    }

    public void setUpdateObjectiveScore(Boolean updateObjectiveScore) {
        this.updateObjectiveScore = updateObjectiveScore;
    }

    public Boolean getUpdateSubjectiveScore() {
        return updateSubjectiveScore;
    }

    public void setUpdateSubjectiveScore(Boolean updateSubjectiveScore) {
        this.updateSubjectiveScore = updateSubjectiveScore;
    }

}
