package cn.com.qmth.examcloud.core.oe.admin.service.bean.statistic;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

public class ExamStudentScoreInfo implements JsonSerializable {

    private static final long serialVersionUID = 5667104330981650606L;

    private Long examId;

    private Long courseId;

    private Long orgId;

    private Long examStudentId;

    /**
     * 是否完成考试
     */
    private Boolean finished;

    /**
     * 考生 最终成绩
     */
    private Double totalScore;

    /**
     * 考生 最终成绩对应的考试记录ID
     */
    private Long examRecordDataId;

    /**
     * 试卷总分
     */
    private Double paperScore;

    /**
     * 是否违纪
     */
    private Boolean illegality;

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public Long getExamStudentId() {
        return examStudentId;
    }

    public void setExamStudentId(Long examStudentId) {
        this.examStudentId = examStudentId;
    }

    public Boolean getFinished() {
        return finished;
    }

    public void setFinished(Boolean finished) {
        this.finished = finished;
    }

    public Long getExamRecordDataId() {
        return examRecordDataId;
    }

    public void setExamRecordDataId(Long examRecordDataId) {
        this.examRecordDataId = examRecordDataId;
    }

    public Double getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(Double totalScore) {
        this.totalScore = totalScore;
    }

    public Double getPaperScore() {
        return paperScore;
    }

    public void setPaperScore(Double paperScore) {
        this.paperScore = paperScore;
    }

    public Boolean getIllegality() {
        return illegality;
    }

    public void setIllegality(Boolean illegality) {
        this.illegality = illegality;
    }

}
